#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco flash metrics plugin
#
# Author: Th.L.
# Date  : 2019-10-28
#
#

#####################################################################################################################
#
# define units for perfdata
#
#####################################################################################################################


#####################################################################################################################
#
# define metrics for perfdata
#
#####################################################################################################################

metric_info['cisco_flash_partusedspace'] = {
    'title': _('Sapce used'),
    'unit': 'bytes',
    'color': '26/a',
}
metric_info['cisco_flash_partfilecount'] = {
    'title': _('# of files'),
    'unit': 'count',
    'color': '21/a',
}


######################################################################################################################
#
# map perfdata to metric, not really necessary but makes sure to use the right metrics
#
######################################################################################################################

check_metrics['check_mk-cisco_flash'] = {
    'partusedspace': {'name': 'cisco_flash_partusedspace', 'scale': MB},
    'partfilecount': {'name': 'cisco_flash_partfilecount', },
}

######################################################################################################################
#
# how to graph perdata 
#
######################################################################################################################

graph_info.append({
    'title': _('Space used'),
    'metrics': [
        ('cisco_flash_partusedspace', 'area'),
    ],
    'scalars': [
        ('cisco_flash_partusedspace:crit', _('crit')),
        ('cisco_flash_partusedspace:warn', _('warn')),
    ],
    "range": (0, "cisco_flash_partusedspace:max"),
})

graph_info.append({
    'title': _('# of files on partition'),
    'metrics': [
        ('cisco_flash_partfilecount', 'area'),
    ],
})

######################################################################################################################
#
# define perf-o-meter 
#
######################################################################################################################

perfometer_info.append(('stacked', [
    {
        'type': 'logarithmic',
        'metric': 'cisco_flash_partusedspace',
        'half_value': 2592000.0,
        'exponent': 2,
    },
    {
        'type': 'linear',
        'segments': ['cisco_flash_partfilecount',
                     ],
        'total': 100000,
    }
]))
