#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

try:
   from cmk.gui.plugins.views.inventory import (
       declare_invtable_view,
       render_inv_dicttable,
   )
except:
   pass

inventory_displayhints.update({
    '.hardware.components.flash.devices:': {'title': _('Flash devices'), 'render': render_inv_dicttable,
                               'keyorder': ['index', 'name', 'description', 'size', ],
                               'view': 'invflashdevices_of_host',
                               },

    '.hardware.components.flash.devices:*.index'            : {'title': _('Index'), },
    '.hardware.components.flash.devices:*.size'             : {'title': _('Size (MB)'), },
    '.hardware.components.flash.devices:*.minpartitionsize' : {'title': _('min. partition size (MB)'), },
    '.hardware.components.flash.devices:*.maxprtitions'     : {'title': _('max. partitions'), },
    '.hardware.components.flash.devices:*.chipcount'        : {'title': _('Chip count'), },
    '.hardware.components.flash.devices:*.name'             : {'title': _('Name'), },
    '.hardware.components.flash.devices:*.description'      : {'title': _('Description'), },
    '.hardware.components.flash.devices:*.controller'       : {'title': _('Controller'), },
    '.hardware.components.flash.devices:*.programmingjumper': {'title': _('Programming jumper'), },
    '.hardware.components.flash.devices:*.inittime'         : {'title': _('Init time'), },
    '.hardware.components.flash.devices:*.removable'        : {'title': _('Removable'), },
    '.hardware.components.flash.devices:*.physentindex'     : {'title': _('Phys entity index'), },
    '.hardware.components.flash.devices:*.nameextended'     : {'title': _('Name extended'), },


    '.hardware.components.flash.chips:': {'title': _('Flash chips'),  'render'  : render_inv_dicttable,
                                            'keyorder': ['flashindex', 'index', 'description', ],
                                            'view': 'invflashchips_of_host',
                                            },

    '.hardware.components.flash.chips:*.index'          : {'title': _('Index'), },
    '.hardware.components.flash.chips:*.flashindex'     : {'title': _('Device index'), },
    '.hardware.components.flash.chips:*.code'           : {'title': _('Code'), },
    '.hardware.components.flash.chips:*.description'    : {'title': _('Description'), },
    '.hardware.components.flash.chips:*.writeretries'   : {'title': _('Write retries'), },
    '.hardware.components.flash.chips:*.eraseretries'   : {'title': _('Erase retries'), },
    '.hardware.components.flash.chips:*.maxwriteretries': {'title': _('max. write retries'), },
    '.hardware.components.flash.chips:*.maxeraseretries': {'title': _('max. erasure retries'), },

    '.hardware.components.flash.partitions:': {'title': _('Flash partitions'),  'render'  : render_inv_dicttable,
                                          'keyorder': ['flashindex', 'index', 'name', 'size', 'freespace', 'filecount', ],
                                          'view': 'invflashpartitions_of_host',
                                          },

    '.hardware.components.flash.partitions:*.index': {'title': _('Index'), },
    '.hardware.components.flash.partitions:*.flashindex': {'title': _('Device index'), },
    '.hardware.components.flash.partitions:*.startchip': {'title': _('Start chip'), },
    '.hardware.components.flash.partitions:*.endchip': {'title': _('End chip'), },
    '.hardware.components.flash.partitions:*.size': {'title': _('Size (MB)'), },
    '.hardware.components.flash.partitions:*.freespace': {'title': _('Free space (MB)'), },
    '.hardware.components.flash.partitions:*.filecount': {'title': _('File count'), },
    '.hardware.components.flash.partitions:*.crcsumalgo': {'title': _('Checksumm algorithm'), },
    '.hardware.components.flash.partitions:*.status': {'title': _('Status'), },
    '.hardware.components.flash.partitions:*.upgrademethod': {'title': _('Upgrade method'), },
    '.hardware.components.flash.partitions:*.name': {'title': _('Name'), },
    '.hardware.components.flash.partitions:*.neederasure': {'title': _('Need erasure'), },
    '.hardware.components.flash.partitions:*.filenamelength': {'title': _('File name length'), },
    '.hardware.components.flash.partitions:*.lowspacenotifythreshold': {'title': _('Low space notify threshold (%)'), },
})

declare_invtable_view('invflashdevices', '.hardware.components.flash.devices:', _('Flash devices'), _('Flash devices'))
declare_invtable_view('invflashchips', '.hardware.components.flash.chips:', _('Flash chips'), _('Flash chips'))
declare_invtable_view('invflashpartitions', '.hardware.components.flash.partitions:', _('Flash partitions'), _('Flash partitions'))
