#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

cflDeviceRemovecolumns = [
#    ('index', 'Index'),
#    ('size', 'Size (MB)'),
#    ('minpartitionsize', 'min. partition size (MB)'),
    ('maxprtitions', 'max. partitions'),
    ('chipcount', 'Chip count'),
#    ('name', 'Name'),
#    ('description', 'Description'),
    ('controller', 'Controller'),
    ('programmingjumper', 'Programming jumper'),
    ('inittime', 'Init time'),
    ('removable', 'Removable'),
    ('physentindex', 'Phys entity index'),
    ('nameextended', 'Name extended'),
]
cflPartitionRemovecolumns = [
#    ('index', 'Index'),
#    ('flashindex', 'Device index'),
    ('startchip', 'Start chip'),
    ('endchip', 'End chip'),
#    ('size', 'Size (MB)'),
#    ('freespace', 'Free space (MB)'),
#    ('filecount', 'File count'),
    ('crcsumalgo', 'Checksumm algorithm'),
    ('status', 'Status'),
    ('upgrademethod', 'Upgrade method'),
#    ('name', 'Name'),
    ('neederasure', 'Need erasure'),
    ('filenamelength', 'File name length'),
    ('lowspacenotifythreshold', 'Low space notify threshold (%)'),
]

cflChipRemovecolumns = [
#    ('index', 'Index'),
#    ('flashindex', 'Device index'),
    ('code', 'Code'),
#    ('description', 'Description'),
    ('writeretries', 'Write retries'),
    ('eraseretries', 'Erase retries'),
    ('maxwriteretries', 'max. write retries'),
    ('maxeraseretries', 'max. erasure retries'),
]


register_rule('inventory', 'inv_parameters:inv_cisco_flash',
              Dictionary(
                  title=_('Cisco flash inventory'),
                  elements=[
                      ('cflDeviceDisable',
                       FixedValue(
                           True,
                           title=_('disable Flash device inventory'),
                       )),
                      ('cflPartitionDisable',
                       FixedValue(
                           True,
                           title=_('disable Flash partition inventory'),
                       )),
                      ('cflChipDisable',
                       FixedValue(
                           True,
                           title=_('disable Flash chips inventory'),
                       )),
                      ('cflDeviceRemovecolumns',
                       ListChoice(
                           title=_('list of columns to remove from flash devices'),
                           label=_('list of columns to remove from flash devices'),
                           help=_('information to remove from inventory'),
                           choices=cflDeviceRemovecolumns,
                           default_value=[
                               # 'size',
                               # 'minpartitionsize',
                               # 'maxprtitions',
                               'chipcount',
                               'controller',
                               'programmingjumper',
                               'inittime',
                               # 'removable',
                               'physentindex',
                               'nameextended',
                           ],
                       )),
                      ('cflPartitionRemovecolumns',
                       ListChoice(
                           title=_('list of columns to remove from flash partitions'),
                           label=_('list of columns to remove from flash partitions'),
                           help=_('information to remove from inventory'),
                           choices=cflPartitionRemovecolumns,
                           default_value=[
                               # 'index',
                               # 'flashindex',
                               'startchip',
                               'endchip',
                               #'size',
                               #'freespace',
                               # 'filecount',
                               # 'crcsumalgo',
                               # 'status',
                               # 'upgrademethod',
                               # 'name',
                               # 'neederasure',
                               # 'filenamelength',
                               # 'lowspacenotifythreshold',

                           ],
                       )),
                      ('cflChipRemovecolumns',
                       ListChoice(
                           title=_('list of columns to remove from flash chips'),
                           label=_('list of columns to remove from flash chips'),
                           help=_('information to remove from inventory'),
                           choices=cflChipRemovecolumns,
                           default_value=[
                               'code',
                               'writeretries',
                               'eraseretries',
                               'maxwriteretries',
                               'maxeraseretries'
                           ],
                       )),
                  ],
              ),
              match='dict',
              )
